<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with the Workiva Platform-->
<!--Copyright 2026 Workiva-->
<!--r:019c1f35-63f3-7e46-92c2-e385c2ac744b,g:19246330-17d8-4508-a722-82b7ae610144-->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:nasasa="http://norwegian.no/20251231" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:dtr-types="http://www.xbrl.org/dtr/type/2022-03-31" attributeFormDefault="unqualified" elementFormDefault="qualified" targetNamespace="http://norwegian.no/20251231">
  <xs:import namespace="http://www.xbrl.org/2003/instance" schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd"/>
  <xs:import namespace="http://www.xbrl.org/2003/linkbase" schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd"/>
  <xs:import namespace="http://www.xbrl.org/dtr/type/2022-03-31" schemaLocation="https://www.xbrl.org/dtr/type/2022-03-31/types.xsd"/>
  <xs:import namespace="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor" schemaLocation="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor.xsd"/>
  <xs:annotation>
    <xs:appinfo>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="nasasa-2025-12-31_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="nasasa-2025-12-31_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="nasasa-2025-12-31_lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="nasasa-2025-12-31_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:type="simple"/>
      <link:roleType id="StatementofcomprehensiveincomeprofitorlossbynatureofexpenseStatement" roleURI="http://norwegian.no/role/StatementofcomprehensiveincomeprofitorlossbynatureofexpenseStatement">
        <link:definition>[0000001] Statement of comprehensive income, profit or loss, by nature of expense (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementofcomprehensiveincomeOCIcomponentspresentednetoftaxStatement" roleURI="http://norwegian.no/role/StatementofcomprehensiveincomeOCIcomponentspresentednetoftaxStatement">
        <link:definition>[0000002] Statement of comprehensive income, OCI components presented net of tax (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementoffinancialpositioncurrentnoncurrentStatement" roleURI="http://norwegian.no/role/StatementoffinancialpositioncurrentnoncurrentStatement">
        <link:definition>[0000003] Statement of financial position, current/non-current (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementofchangesinequityStatement" roleURI="http://norwegian.no/role/StatementofchangesinequityStatement">
        <link:definition>[0000004] Statement of changes in equity (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementofcashflowsindirectmethodStatement" roleURI="http://norwegian.no/role/StatementofcashflowsindirectmethodStatement">
        <link:definition>[0000005] Statement of cash flows, indirect method (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="TagsthatmustbeappliedifcorrespondinginformationispresentinareportStatement" roleURI="http://norwegian.no/role/TagsthatmustbeappliedifcorrespondinginformationispresentinareportStatement">
        <link:definition>[0000006] Tags that must be applied if corresponding information is present in a report (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Anchoring" roleURI="http://norwegian.no/role/Anchoring">
        <link:definition>Anchoring</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
    </xs:appinfo>
  </xs:annotation>
  <xs:element id="nasasa_RevenueFromRenderingOfPassengerTransportServicesAncillary" abstract="false" name="RevenueFromRenderingOfPassengerTransportServicesAncillary" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="nasasa_AirportAndAtcExpense" abstract="false" name="AirportAndAtcExpense" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="nasasa_HandlingExpense" abstract="false" name="HandlingExpense" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="nasasa_OperatingExpenseOtherThanDepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossAndRentalExpense" abstract="false" name="OperatingExpenseOtherThanDepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossAndRentalExpense" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="nasasa_ProfitLossFromOperatingActivitiesBeforeInterestTaxDepreciationAmortisationAndRestructuringOrRentalExpense" abstract="false" name="ProfitLossFromOperatingActivitiesBeforeInterestTaxDepreciationAmortisationAndRestructuringOrRentalExpense" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="nasasa_DepreciationAndAmortisationExpenseAndRentalExpense" abstract="false" name="DepreciationAndAmortisationExpenseAndRentalExpense" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="nasasa_NonCurrentIntangibleAssetsAndGoodwill" abstract="false" name="NonCurrentIntangibleAssetsAndGoodwill" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="nasasa_PropertyPlantAndEquipmentAndNoncurrentPrepayments" abstract="false" name="PropertyPlantAndEquipmentAndNoncurrentPrepayments" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="nasasa_CurrentIntangibleAssets" abstract="false" name="CurrentIntangibleAssets" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="nasasa_IssuedCapitalAndSharePremium" abstract="false" name="IssuedCapitalAndSharePremium" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="nasasa_RetainedEarningsOtherReservesAdditionalPaidInCapitalAndPerpetualBondsAttributableToOwnersOfParent" abstract="false" name="RetainedEarningsOtherReservesAdditionalPaidInCapitalAndPerpetualBondsAttributableToOwnersOfParent" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="nasasa_OtherLongTermProvisionsForPeriodicMaintenance" abstract="false" name="OtherLongTermProvisionsForPeriodicMaintenance" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="nasasa_CurrentAirTrafficSettlementLiabilities" abstract="false" name="CurrentAirTrafficSettlementLiabilities" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="nasasa_PerpetualBondsAttributableToOwnersOfParent" abstract="true" name="PerpetualBondsAttributableToOwnersOfParent" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="nasasa_IssueOfShares" abstract="false" name="IssueOfShares" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="nasasa_IncreaseDecreaseThroughPaymentInKindInterestOnPerpetualBonds" abstract="false" name="IncreaseDecreaseThroughPaymentInKindInterestOnPerpetualBonds" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="nasasa_IncreaseDecreaseThroughInterestOnPerpetualBonds" abstract="false" name="IncreaseDecreaseThroughInterestOnPerpetualBonds" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="nasasa_IncreaseDecreaseBuyBackOfPerpetualBonds" abstract="false" name="IncreaseDecreaseBuyBackOfPerpetualBonds" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="nasasa_IncreaseDecreaseThroughTransactionsWithOwnersOtherEquity" abstract="false" name="IncreaseDecreaseThroughTransactionsWithOwnersOtherEquity" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="nasasa_AdjustmentsForDepreciationAndAmortisationExpenseAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossOtherThanNonCurrentAssetsOrDisposalGroupsClassifiedAsHeldForSale" abstract="false" name="AdjustmentsForDepreciationAndAmortisationExpenseAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossOtherThanNonCurrentAssetsOrDisposalGroupsClassifiedAsHeldForSale" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="nasasa_AdjustmentsForDecreaseIncreaseInInventoriesAdjustmentsForDecreaseIncreaseInTradeAndOtherReceivablesAndAdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" abstract="false" name="AdjustmentsForDecreaseIncreaseInInventoriesAdjustmentsForDecreaseIncreaseInTradeAndOtherReceivablesAndAdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="nasasa_AdjustmentsForIncreaseDecreaseInAirTrafficLiabilities" abstract="false" name="AdjustmentsForIncreaseDecreaseInAirTrafficLiabilities" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="nasasa_AdjustmentsForDecreaseIncreaseInOtherAssetsAndAdjustmentsForIncreaseDecreaseInOtherLiabilities" abstract="false" name="AdjustmentsForDecreaseIncreaseInOtherAssetsAndAdjustmentsForIncreaseDecreaseInOtherLiabilities" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="nasasa_PrepaymentsForAircraftClassifiedAsInvestingActivities" abstract="false" name="PrepaymentsForAircraftClassifiedAsInvestingActivities" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="nasasa_InterestPaidOnBorrowingsClassifiedAsFinancingActivities" abstract="false" name="InterestPaidOnBorrowingsClassifiedAsFinancingActivities" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="nasasa_InterestPaidOnLeaseLiabilitiesClassifiedAsFinancingActivities" abstract="false" name="InterestPaidOnLeaseLiabilitiesClassifiedAsFinancingActivities" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="nasasa_InterestPaidOnPerpetualBondsClassifiedAsFinancingActivities" abstract="false" name="InterestPaidOnPerpetualBondsClassifiedAsFinancingActivities" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
</xs:schema>
